<div class="card border-0" style="background-color: transparent !important">
  <div class="card-body p-0">
    <div>
      <button
        class="btn btn-primary list-vehicle-btn"
        mat-button
        #menuTrigger="matMenuTrigger"
        [matMenuTriggerFor]="VListmenu"
        (menuOpened)="true"
        (menuClosed)="false"
        style="pointer-events: none">
        <div>
          <div style="display: block; text-align: left; padding-left: 18px">
            <span>{{ title }}</span>
          </div>
        </div>
      </button>

      <mat-menu #VListmenu="matMenu" class="list-search-menu searchboxcomponent" [overlapTrigger]="false"
        [hasBackdrop]="false">
        <div class="container"  [ngStyle]="myStyle" (click)="$event.stopPropagation()">
          <div class="row">
            <div class="col">
              <!-- <mat-form-field class="event-type"> -->
              <div *ngIf="!infractionsScreen">
                <mat-button-toggle-group name="buttonToggleCategory" aria-label="category"
                  (change)="onChangeState($event)">
                  <mat-button-toggle value="all" checked="true">
                    {{ 'L_SearchCheckBox_ButtonAll' | translate}}
                  </mat-button-toggle>
                  <mat-button-toggle value="active"> {{ 'L_SearchCheckBox_ButtonActive' | translate}} </mat-button-toggle>
                  <mat-button-toggle value="notactive">
                    {{ 'L_SearchCheckBox_NotActive' | translate}}
                  </mat-button-toggle>
                </mat-button-toggle-group>
              </div>
              <div  class="Recherche" (click)="$event.stopPropagation()">
                <div *ngIf="category == 'vehicule'">
                  <label class="search-area">
                    <i class="fa fa-search"></i>
                    <input type="text" placeholder="{{'L_SearchZone_ResearchZone' | translate }}" name="chercher" class="search-input"
                      (input)="readInput($event)" />
                  </label>
                </div>

                <div *ngIf="showSelect" class="float-right-select"></div>
              </div>
              <div
                *ngIf="showSelectAll"
                class="float-right-select-all"
                (click)="$event.stopPropagation()"
                [ngClass]="{ selected: SelectedTypes.length >= items.length }"
                >
                <mat-checkbox color="warn"
                  [checked]="SelectedTypes.length >= items.length"
                  [indeterminate]="
                    SelectedTypes.length > 0 &&
                    SelectedTypes.length < items.length
                    "
                  (change)="selectAll($event)">
                  {{'L_SearchCheckBox_SelectAll' | translate}}
                </mat-checkbox>
              </div>
              <mat-selection-list
                (click)="$event.stopPropagation()"
                #list
                [ngClass]="{
                  anomaliesByTypeEmployees: employeesAnomaliesByType
                }">
                <div class="list">
                  <mat-list-item *ngFor="let item of items; let index = index"
                    (click)="onRowclicked(item, index, $event)" class="border border-warning title-field mb-1"
                    [ngClass]="{ selected: item.checked }">
                    <mat-checkbox color="warn" (click)="onChangeCheckbox(item, index, $event)"
                      [(ngModel)]="item.checked"><span> {{ item.name | slice:0:59}}</span>
                      </mat-checkbox>
                  </mat-list-item>
                </div>

              </mat-selection-list>

            </div>
          </div>
        </div>
      </mat-menu>
    </div>
  </div>
</div>
